aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-zope-event/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-10-21 14:26:45 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-10-21 14:26:45 +0200
commitc7a55da8cd55938d04b40896c566505e28f0e25e (patch)
tree5a0d933fa47d2fbb6bfb580fd3902614c46e2017 /testing/py-zope-event/APKBUILD
parent1d5cbe773d2c4470b04caf73f047928302bccdeb (diff)
downloadaports-c7a55da8cd55938d04b40896c566505e28f0e25e.tar.gz
aports-c7a55da8cd55938d04b40896c566505e28f0e25e.tar.bz2
aports-c7a55da8cd55938d04b40896c566505e28f0e25e.tar.xz
testing/py-zope-event: new aport
Diffstat (limited to 'testing/py-zope-event/APKBUILD')
-rw-r--r--testing/py-zope-event/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-zope-event/APKBUILD b/testing/py-zope-event/APKBUILD
new file mode 100644
index 0000000000..5b16cad0fa
--- /dev/null
+++ b/testing/py-zope-event/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=py-zope-event
+pkgver=4.1.0
+pkgrel=0
+pkgdesc="Event publishing / dispatch, used by Zope Component Architecture"
+url="https://github.com/zopefoundation/zope.event"
+arch="noarch"
+license="ZPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev py-setuptools"
+install=""
+subpackages=""
+source="zope.event-$pkgver.tar.gz::https://github.com/zopefoundation/zope.event/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/zope.event-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9636c75fb1c6bfef793ef4ece25291b5 zope.event-4.1.0.tar.gz"
+sha256sums="a85cb6fd0e48e1147061eb0ecab57b9cc90f4c3b5609d63e5694a2d8de28ef47 zope.event-4.1.0.tar.gz"
+sha512sums="8a6dd253e65d76f91be6a4a006c63701a7a3a83a1341c67547cd294387a7b1b25f0d50fbd3fcc7c94d5bd49579534174837045e09823f8fdd6c35a5cff70e0e1 zope.event-4.1.0.tar.gz"